/******************************************************************************/
/*                                                                            */
/* Module name: db2swit.c                                                     */
/*                                                                            */
/* Description: MQSeries XA switch program for DB2                            */
/*                                                                            */
/* Statement:   Licensed Materials - Property of IBM                          */
/*              04L1830, 5639-B43                                             */
/*              (C) Copyright IBM Corp. 1998                                  */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* Includes                                                                   */
/******************************************************************************/

#include <cmqc.h>                                /* MQ header                 */
#include "xa.h"                                  /* MQ supplied XA header     */

/******************************************************************************/
/* External data declarations                                                 */
/******************************************************************************/

extern __declspec(dllimport) struct xa_switch_t db2xa_switch;

/******************************************************************************/
/*                                                                            */
/* Function name:  MQStart                                                    */
/*                                                                            */
/* Description: The queue manager calls this function to access the XA switch */
/*              of DB2                                                        */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Input Parameters:  None                                                    */
/*                                                                            */
/* Output Parameters: None                                                    */
/*                                                                            */
/* Returns:           Pointer to DB2 XA switch                                */
/*                                                                            */
/******************************************************************************/
__declspec(dllexport) struct xa_switch_t * MQENTRY MQStart(void)
{
   return(&db2xa_switch);
}

/******************************************************************************/
/* End of db2swit.c                                                           */
/******************************************************************************/
