#
# Name:          XASWIT.MAK
#
# Description:   Windows NT makefile for the XA switch files. Note this
#                is the makefile for use with the Microsoft Visual C++
#                compiler, if you use IBMs VisualAge for C++, use the
#                makefile called XASWITI.MAK.
#
# Statement:     Licensed Materials - Property of IBM
#                04L1830, 5639-B43
#                (C) Copyright IBM Corp. 1998
#
#
# To make the DB2 XA switch load file, run the command:-
#                nmake -f xaswit.mak db2swit.dll
# To make the Sybase XA switch load file, run the command:-
#                nmake -f xaswit.mak sybswit.dll
#
!include <ntwin32.mak>

#---------------------------------------------------------------------
# DB2 XA switch file
#---------------------------------------------------------------------

db2swit.lib db2swit.exp: $*.obj $*.def
                         $(implib) -machine:$(CPU) \
                         -def:$*.def $*.obj

db2swit.dll: $*.obj $*.def $*.exp
             $(link) $(dlllflags)    \
             -base:0x1C000000        \
             $*.exp $*.obj           \
             $(conlibsdll) db2api.lib

#---------------------------------------------------------------------
# Sybase XA switch file
#---------------------------------------------------------------------

sybswit.lib sybswit.exp: $*.obj $*.def
                         $(implib) -machine:$(CPU) \
                         -def:$*.def $*.obj

sybswit.dll: $*.obj $*.def $*.exp
             $(link) $(dlllflags)    \
             -base:0x1C000000        \
             $*.exp $*.obj           \
             $(conlibsdll) libxaserver.lib

#---------------------------------------------------------------------

.c.obj:
    $(cc) $(cflags) $(cvarsdll) $*.c

